:root {
    --color-principal: #0066cc;
    /*  --color-titulo:#9b59b6;
  --color-secundario:#ebdef0; */
    --color-titulo: #0066cc;
    --color-secundario: #ebf5fb;
    --color-gris-oscuro: #212529;
}

/* Texto del título del sitio */
.navbar-dark .navbar-brand a.site-title {
    color: black !important;
}

/* NO MOSTRAMOS EL NOMBRE DE LA PAGINA EN LA DE DYNTRA */
.page-node-251 {

    .field--name-title {
        display: none;
    }

    .node {
        margin-top: -40px;
    }
}

header[role="banner"] {
    padding-top: 20px;
    padding-bottom: 5px;
    background-color: #eee;
}


.menu--main[role="navigation"] a[href] {
    color: var(--color-gris-oscuro);
}


.menu--main[role="navigation"] .nav-item {
    text-align: left;
}

body {
    background-color: white;
    text-align: justify;

    a[href] {
        color: black;
        text-decoration: none;
    }

    a[href]:hover {
        text-decoration: underline;
    }

    h1 {
        color: var(--color-titulo);
        text-align: left;
        /*     font-size: revert; */
    }
}

#block-transparencia-subtheme-textodelapaginadeinicio {
    padding-top: 30px;
}

main[role="main"] {
    margin-bottom: 50px;
}

.mititulo {
    font-size: 20px;
    font-weight: 600;
    text-align: left;
}


/* MENU HORIZONTAL */
#block-transparencia-subtheme-menuareas {
    position: absolute;
    left: 0;
    right: 0;
    width: 100%;
    margin-left: 0px;
    padding-left: 0px;
}

.region-breadcrumb .navbar-nav {
    /* O la clase específica de tu <ul>, que parece ser "data-block-menunav" o "navbar-nav" */
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    /* O space-between, center, flex-start, etc., según cómo quieras distribuir los elementos */
    list-style: none;
    /* Para quitar los puntos de la lista */
    padding: 0;
    /* Para quitar el padding por defecto de la lista */

    margin-bottom: 30px;
    background-color: var(--color-gris-oscuro);
    font-size: 12px;
    align-items: center;
    color: white;
    padding-left: 15%;
    padding-right: 15%;

    a[href] {
        color: white;
    }

    a[href]:hover {
        text-decoration: none;
        color: var(--color-principal);
    }


}

.navbar-toggler-icon {
    filter: invert(100%);
    /* Cambia el color de blanco a negro o viceversa */
}

.navbar-nav a {
    display: block;
    /* Para que el enlace ocupe todo el espacio del li y sea más fácil hacer clic */
    padding: 10px 15px;
    /* Añade relleno para el área de clic */
    text-decoration: none;
    /* Quita el subrayado de los enlaces */
    /*  color: black; */
    /* O el color que desees */
}

.nav-item {
    max-width: 145px;
    text-align: center;
}

span.navbar-toogler-icon {
    color: red;
}

/* BLOQUE CON LOS ENLACES DE LA FRONT PAGE */
.bloque-areas {
    background-color: var(--color-principal);
    text-align: center;
    font-size: 17px;
    margin-bottom: 20px;
    margin-top: 30px;


    .view-content {
        padding: 20px !important;
    }

    .views-view-responsive-grid__item {
        padding: 10px 0px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .views-field {
        padding: 0px 15px;

        a[href] {
            color: white;
            text-decoration: none;
            font-weight: 600;
        }

        a[href]:hover {
            /*  color:var(--color-secundario); */
            color: #d6eaf8;
            text-decoration: none;
        }
    }
}

/* TABLAS */
.table thead tr th {
    background-color: var(--color-principal);
    color: white;
    text-transform: uppercase;
    font-weight: 600;
}

.tabla-footer thead tr th {
    background-color: var(--color-gris-oscuro);
}

.views-field-field-departamento-anuncio {
    width: 191px;
}


/*  BLOQUE ANUNCIOS FRONT PAGE */
.region-content {
    padding: 0px;
}


.block-views-blockanuncios-front-page-block-1 {
    padding-top: 20px;

    h2 {
        font-size: 22px;
        color: var(--color-titulo);
    }

    .view-content {
        background-color: #fcf3cf;
        margin-bottom: 10px;
    }

    .views-view-responsive-grid {
        padding: 10px 15px;
        min-height: 150px;
    }

    .views-view-responsive-grid__item {
        margin: 0px 5px;
    }

    .views-field-field-departamento-anuncio {
        font-weight: 600;
    }

    .views-field-created {
        font-size: 12px;
        padding-bottom: 5px;
        margin-bottom: 5px;
        border-bottom: silver solid thin;
    }

    .views-field-title a[href] {
        font-size: 13px;
        /*  font-weight: 600; */
        color: #212f3d;
    }

    .views-field-title {
        line-height: normal;
        padding-bottom: 2px;
        text-align: left;
    }

    .views-field-field-texto {
        font-size: small;
        color: #5d6d7e;
    }

    .views-more-link {
        font-size: x-small;
        color: black;
    }

}



/* VISTA ITEMS AGRUPADOS */
.path-items-agrupados h3,
.path-items-agrupados-des h3 {
    font-size: 20px;
    background-color: var(--color-principal);
    padding-left: 5px;
    padding-bottom: 5px;
    padding-top: 4px;
    color: white;
}

.path-items-agrupados,
.path-items-agrupados-des {
    .item-list {
        padding-top: 10px;
    }

}

/* VISTA ITEMS INF. PATRIMONIAL */
.area6 {
    font-weight: 600;
    text-transform: uppercase;
}

/* VISTA ITEMS PRESUPUESTOS */
.area2,
.area1 {
    font-weight: 600;
}

.views-field-body {
    font-size: 14px;
}

.views-field-field-documento li {
    font-size: 14px;
    padding-bottom: 15px;
}

/* QUITAMOS LOS PUNTOS EN LAS LISTAS */
.item-list li::marker {
    color: transparent;
}


/* BLOQUE ENLACES INFORMACION ECONOMICA */

.table-economica {
    padding-top: 30px;
    padding-bottom: 30px;
    display: flex;
    justify-content: center;

    td {
        background-color: var(--color-principal);
        background-color: #af601a;
        border: white 25px solid;
        text-align: center;
        height: 115px;
        width: 250px;
        vertical-align: middle;
        font-size: 20px;
        line-height: 25px;
    }

    a[href] {
        color: white;
    }

    a[href]:hover {
        text-decoration: none;
        font-weight: 600;
    }
}

#contratacion_estado {
    padding-top: 12px;

    img {
        float: right;
        margin-left: 25px;
    }
}

/* AJUSTES DE PAGINAS*/

.block-page-title-block {
    padding-bottom: 10px;
    padding-top: 100px;
}

.layout--twocol-section--25-75 .layout__region--first {
    border-right: solid thin rgb(237, 219, 243);
    margin-top: 10px;
    padding-right: 10px;
}

.layout--twocol-section--25-75 .layout__region--second {
    padding-left: 10px;
}


img.img-fluid {
    margin-bottom: 10px;
}

#lista {
    margin-left: 25px;
}


/* PAGINA DE NORMATIVA */
.view-normativa {

    .table caption {
        background-color: var(--color-titulo);
        color: white;
        font-size: 23px;
        padding: 2px 5px;
    }
}

/* NORMATIVA OBSOLETA */
.view-duplicado-de-normativa {
    padding-top: 20px;
    color: var(--color-gris-oscuro);

    .view-header {
        font-size: 30px;
    }

    .table caption {
        background-color: var(--color-gris-oscuro);
        color: white;
        font-size: 23px;
        padding: 2px 5px;
    }

}

/* PAGINA ALTO CARGO */

@keyframes zoomIn {
    0% {
        transform: scale(0.95);
        opacity: 0;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

.img-fluid {
    animation: zoomIn 1.5s ease-out forwards;
}


.page-node-type-alto-cargo {
    h1 {
        margin-bottom: 20px;
        background-color: var(--color-principal);
        padding-left: 10px;
        padding-bottom: 5px;
        padding-top: 3px;
        color: white;
    }

    .img-fluid {
        animation: zoomIn 1s ease-out forwards;
        border-radius: 15px;
    }

}

.view-enlace-editar {
    float: right;
    font-size: 20px;
    font-weight: 600;

    a[href] {
        color: red;
    }
}

.presidenta,
.presidente {
    color: green;
    font-size: 20px;
    font-weight: 600;
}

.consejero\/a {
 color: var(--color-principal);
}

.suplente {
    color: #a93226 !important;
}

.node--type-alto-cargo {
    font-size: 14px;

    .field--name-field-grupo-municipal,
    .field--name-field-email {
        font-size: 16px;
    }

    img {
        max-width: 200px;
        float: inline-start;

    }

    .views-field-field-logo-grupo img {
        max-width: 75px;
    }

    .views-field-field-logo-grupo img:hover {
        transition: transform 0.3s ease;
        transform: scale(1);
    }

    h2 {
        margin-bottom: 20px;
        background-color: var(--color-principal);
        padding-left: 10px;
        padding-bottom: 5px;
    }

    h2 a[href] {
        text-decoration: none;
        /* quitamos el subrayado del nombre del alto cargo */
    }

    .field--name-title {
        color: white;
    }

    .field--name-field-funcion {
        font-size: 25px;
        font-weight: 600;
        color: var(--color-principal);

    }


    .field {
        padding-bottom: 5px;
    }

    .field__label {
        font-weight: 600;
        padding-bottom: 5px;
        font-size: 16px;
    }

    .field--name-body {
        padding-top: 20px;
        font-size: 14px;
    }

    .block-views-blocknominas-block-1 {
        h2 {
            background-color: white;
            padding-top: 15px;
            font-weight: 600;
            font-size: 16px;
            padding-left: 0px;
            margin-bottom: 0px;
        }

        padding-bottom: 30px;

    }
}

/* Redimensiona la foto en hover para consejeros y altos cargos */
.image-style-media-library:hover {
    transform: scale(1.08);
    transition: transform 0.3s ease;
    border: rgb(184, 181, 181) solid 2px;
}


/* Lista de miembros del consejo de fotos */
.path-consejo-fotos {
    .view-header {
        padding-bottom: 30px;
    }

    .view-content {
        text-align: center;
        width: 80%;
        margin: 0 auto;
    }

    .image-style-media-library {
        animation: zoomIn 2s ease-out forwards;
        border-radius: 15px;
        filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.5));
        width: 200px;
        height: 275px; 
/*         width: 10vw;
        height: 30vh; */
        object-fit: cover;
        object-position: center;
    }

    .view-content>h3 {
        width: 115%;
        margin-left: -5vw;
        text-align: left;
        background-color: var(--color-principal);
    }

    h3 {
        font-size: clamp(1rem, 2vw + 1rem, 1.5rem);
        padding-left: 10px;
        padding-bottom: 4px;
        margin-top: 10px;
        margin-bottom: 35px;
        color: white;
    }

    .views-field-title {
        font-size: 22px;
        font-weight: 600;
    }

    .views-field-field-funcion a[href] {
        font-size: 18px;
        font-weight: 600;
        padding-bottom: 5px;
    }

    .image-style-logo-pequeno {
        padding-top: 12px;
        padding-bottom: 30px;
    }
}

/* Lista de miembros del consejo de gerencia */
.path-consejo-gerencia {
    .img-fluid {
        width: 75px;
    }

    .views-field-field-funcion {
        width: 150px;
        font-size: 18px;
    }

    .views-field-field-funcion a[href] {
        color: var(--color-principal);
        font-weight: 600;
    }

}


/* ALTOS CARGOS FOTO */
.path-altos-cargos-foto {
    .view-content {
        text-align: center;
        padding-top: 30px;
        width: 80%;
        margin: 0 auto;
    }


    .img-fluid {
        animation: zoomIn 2s ease-out forwards;
        width: 200px;
        height: auto;
        border-radius: 15px;
    }

    .image-style-media-library {
        filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.5));

    }

    .views-field-field-logo-grupo {
        padding-top: 15px;

        .img-fluid {
            height: 50px;
            width: 50px;
            border-radius: 0px;
        }
    }

    .views-field-field-funcion {
        width: 150px;
        font-size: 18px;
        width: 100%;
    }

    .views-field-title {
        a[href] {
            font-size: 22px;
            font-weight: 600;
        }
    }

    .views-field-field-funcion a[href] {
        color: var(--color-principal);
        font-weight: 600;
    }

}

#block-textodelapaginaderechoaccesoyparticipacion {
    h3 {
        background-color: white;
        color: var(--color-principal);
        padding-top: 25px;
    }
}

/* PIE DE PAGINA */
.bg-dark {
    background-color: var(--color-gris-oscuro) !important;
}

.region-footer {
    text-align: left;

    table {
        width: 100%;
    }

    thead,
    tbody {
        --bs-table-bg: var(--color-gris-oscuro);
    }

    p,
    a[href],
    #creditos {
        color: white;
    }

    th {
        font-size: 18px;
        color: #fcf3cf;
        background-color: var(--color-gris-oscuro) !important;
    }

    tr {
        background-color: var(--color-gris-oscuro) !important;
        border-style: none;
        border-color: var(--color-gris-oscuro);

    }

    td a {
        padding-bottom: 15px;
    }

    .table2 tr {
        vertical-align: middle;
    }

    #creditos {
        text-align: center;
        font-size: 14px;
    }
}

/* SITEMAP */

#mapa {
    a[href] {
        font-weight: 600;
    }

    ul {
        margin-top: -13px;
    }
}

/* DYNTRA */
#dyntra {

    width: 235px;
    text-align: center;
    font-size: 25px;
    font-weight: normal;

    a[href] {
        color: green;
    }

    a:hover {
        text-decoration: none;
    }

    img {
        width: 135px;
        height: auto;
        margin-right: 10PX;
    }

}


#situacion {
    /* Anchura del mapa de situacion */
    width: 400px;
}


/* Modificaciones Según el Tamaño de pantalla */
@media(min-width: 1600px) {
    .navbar-dark .navbar-brand a.site-title {
        font-size: 18px;
        padding-left: 50px;
    }

    .field--name-title,
    h1 {
        font-size: 30px;
    }
}

@media (min-width: 1300px) and (max-width: 1599px) {
    .navbar-dark .navbar-brand a.site-title {
        font-size: 14px;
    }

    .field--name-title,
    h1 {
        font-size: 27px;
    }

    .bloque-areas {

        /* tamaño letra en menu fondo azul inicio */
        .views-field-name {
            font-size: 16px;
        }
    }

    .region-breadcrumb .navbar-nav {
        /* Menu superior */
        padding-left: 6%;
        padding-right: 6%;
    }

    .table-economica {
        td {
            font-size: 16px;
            height: 95px;
        }
    }

    .view-id-areas .views-view-responsive-grid--horizontal {
        --views-responsive-grid--column-count: 3 !important;
    }

}



@media (min-width: 1000px) and (max-width: 1299px) {
    .navbar-dark .navbar-brand a.site-title {
        font-size: 14px;
    }

    .field--name-title,
    h1 {
        font-size: 27px;
    }

    .region-breadcrumb .navbar-nav {
        /* Menu superior */
        padding-left: 3%;
        padding-right: 3%;
        font-size: 11px;
    }

    .block-views-blockanuncios-front-page-block-1 {
        .views-field-title a[href] {
            font-size: 13px;
        }

        .views-view-responsive-grid__item-inner {
            --views-responsive-grid--layout-gap: 15px;
        }
    }

    .bloque-areas {

        /* tamaño letra en menu fondo azul inicio */
        .views-field-name {
            font-size: 14px;
        }

    }

    .view-id-areas .views-view-responsive-grid--horizontal {
        --views-responsive-grid--column-count: 3 !important;
    }

    .node--type-alto-cargo {
        img {
            max-width: 166px;
        }

        .views-field-field-logo-grupo img {
            max-width: 55px;
        }
    }

    .table-economica {
        td {
            font-size: 16px;
            height: 95px;
        }
    }

    .footer-dark {
        font-size: 12px;

        th {
            font-size: 14px;
        }

        #creditos {
            font-size: 11px;
        }
    }
}

@media (min-width: 600px) and (max-width: 999px) {
    .navbar-dark .navbar-brand a.site-title {
        font-size: 14px;
    }

    .block-page-title-block {
        padding-top: 100px;
    }

    .field--name-title,
    h1 {
        font-size: 22px;
    }

    .layout--twocol-section--25-75 .layout__region--first {
        border-right: none;
    }

    .bloque-areas {

        /* tamaño letra en menu fondo azul inicio */
        .views-field-name {
            font-size: 14px;
        }

    }

    .region-breadcrumb .navbar-nav {
        /*menu superior */
        padding-left: 0%;
        padding-right: 0%;
        font-size: 10px;
    }

    .table {
        font-size: 14px;

        caption {
            font-size: 16px !important;
        }
    }


    .block-views-blockanuncios-front-page-block-1 {
        .views-field-title a[href] {
            font-size: 12px;
        }
    }



    /* LISTA ALTOS CARGOS */
    .presidenta,
    .presidente {
        font-size: 18px;
    }

    .view-altos-cargos-lista {

        .views-field-field-funcion {
            font-size: 16px;
        }
    }

    /* AJUSTAMOS EL ANCHO DE LA COLUMNA PARA QUE EL LOGO APAREZCA EN SU SITIO */
    .layout--twocol-section.layout--twocol-section--25-75 .layout__region--first {
        flex: 0 0 50%;
        max-width: 50%;
    }

    .node--type-alto-cargo .views-field-field-logo-grupo img {
        max-width: 55px;
    }

    .views-field-field-logo-grupo {
        padding-top: 5px !important;
        padding-bottom: 30px;
    }

    .table-economica {
        td {
            font-size: 16px;
            height: 95px;
        }
    }

    .footer-dark {
        font-size: 11px;

        th {
            font-size: 14px;
        }

        #creditos {
            font-size: 11px;
        }
    }

    .view-anuncios-front-page {
        .views-field-field-departamento-anuncio {
            font-size: 14px;
            text-align: left;

            .field-content {
                line-height: 17px;
            }
        }
    }

    .views-field-created {
        padding-top: 3px;
    }

    .views-field-title .field-content a {
       /*  font-size: 16px; */
        line-height: 15px !important;
    }

    .views-field-field-departamento-anuncio {
        width: 140px;
    }

    #paginadyntra {
        img {
            width: 120px;
            height: auto;
        }
    }

}

@media (max-width: 599px) {

    .navbar-brand img {
        /*  TAMAÑO DEL LOGO */
        height: 25px !important;
    }

    .navbar-toggler-icon {
        /* TAMAÑO HAMBURGUESA */
        width: 20px;
    }

    .navbar-dark .navbar-brand a.site-title {
        font-size: 10px;
    }

    body {
        font-size: 14px;

        h3 {
            font-size: 16px !important;
        }

        p {
            margin-right: 15px;
        }
    }


    .block-page-title-block {
        padding-top: 105px;
    }

    .field--name-title,
    h1 {
        font-size: 22px;
    }

    .bloque-areas {

        /* tamaño letra en menu fondo azul inicio */
        .views-field-name {
            font-size: 14px;
        }

        .views-view-responsive-grid--horizontal {
            --views-responsive-grid--cell-min-width: 225px !important;
        }
    }

    /* LISTA ALTOS CARGOS */
    .presidenta,
    .presidente {
        font-size: 18px;
    }

    .view-altos-cargos-lista {

        .views-field-field-funcion {
            font-size: 16px;
        }
    }

    .layout--twocol-section--25-75 .layout__region--first {
        border-right: none;
    }

    .node--type-alto-cargo .views-field-field-logo-grupo img {
        max-width: 55px;
    }

    .views-field-field-logo-grupo {
        padding-top: 5px !important;
        padding-bottom: 30px;
    }

    .footer-dark {
        font-size: 9px;

        th {
            font-size: 14px;
        }

        #creditos {
            font-size: 10px;
        }

    }

    .region-breadcrumb .navbar-nav {
        /* Menu superior */
        padding-left: 0%;
        padding-right: 0%;
        font-size: 10px;
    }

    .table {
        font-size: 12px;

        caption {
            font-size: 14px !important;
        }
    }


    .view-anuncios-front-page {
        .views-field-field-departamento-anuncio {
            font-size: 14px;
            text-align: left;

            .field-content {
                line-height: 17px;
            }
        }

        .views-field-created {
            padding-top: 3px;
        }

        .views-field-title .field-content a {
            font-size: 12px;
        }
    }

    .views-field-field-departamento-anuncio {
        width: 135px;
    }

    #paginadyntra {
        img {
            width: 120px;
            height: auto;
        }
    }

}



/* TABLA ENLACES ECONOMICOS RESPONSIVOS */
.enlaces-responsive {
    display: none;
}

@media (max-width: 768px) {
    .enlaces-responsive {
        display: block;
        /* Opcional: añade estilos adicionales para la lista de enlaces */
        margin-top: 15px;
        margin-bottom: 15px;
        /*  background-color:#af601a; */

        a[href] {
            background-color: #af601a;
            margin-bottom: 8px;
            color: white;
        }

        a {
            display: block;
            padding: 10px;
            border: 1px solid #ccc;
            text-align: center;
            text-decoration: none;
            color: white;
            font-size: 14px;
        }
    }

    .table-economica.escritorio {
        display: none;
    }

    .nav-item {
        font-size: 9px;
        max-width: 145px;
        text-align: center;
    }

    #search-block-form .form-actions {

        text-align: left;
    }

    #contratacion_estado img {
        width: 130px;
        height: auto;
    }

}

@media (max-width: 1200px) {
    #dyntra {
        font-size: 22px;
        float: right;
        text-align: right;
        width: 235px;

        img {
            width: 100px;
            height: auto;
            padding-right: 10PX;
        }
    }

    #search-block-form {
        margin-top: -40px;
        float: left;
    }

}